Page MenuHomePhabricator

Add 'new' icon to collections in main menu
Closed, ResolvedPublic

Description

When a user first adds an item to the collection a blue tutorial overlay will point at the hamburger menu (See T93628 which covers this part)
When this menu button is clicked the menu will show and to the right of collections will be a NEW icon.
Note this was done for Wikigrok roulette but is not in a generic form.

Event Timeline

Jdlrobson claimed this task.
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: gerritbot, bmansurov, LuisVilla and 5 others.
Jdlrobson moved this task from In development to In Analysis on the Gather Sprint Enwiki board.

@MSyed does this show all the time or only when I click the hamburger icon after following the pointer?
(The former is easiest)

It seems the code the Wikigrok team is not reusable so I'm going to have to rewrite this from scratch.. doh.

I think for now, it should only show up after following the pointer.

Jdlrobson renamed this task from Add a new icon to collections in main menu to Add 'new' icon to collections in main menu.Apr 8 2015, 4:52 PM
Jdlrobson removed Jdlrobson as the assignee of this task.
Jdlrobson set Security to None.
Jdlrobson moved this task from In Analysis to Ready for dev on the Gather Sprint Enwiki board.
Jdlrobson removed a project: Patch-For-Review.
Jdlrobson moved this task from Needs triage to In sprint on the Gather board.Apr 8 2015, 7:01 PM

What's this about? No clues or description in the task...

Jdlrobson updated the task description. (Show Details)Apr 9 2015, 3:56 PM

Updated @Jhernandez - sorry!

Jdlrobson updated the task description. (Show Details)Apr 9 2015, 3:57 PM
Jdlrobson claimed this task.Apr 9 2015, 7:45 PM
Jdlrobson moved this task from Ready for dev to In development on the Gather Sprint Enwiki board.

Change 203215 had a related patch set uploaded (by Jdlrobson):
When a user clicks on hamburger after adding to a collection show new icon

https://gerrit.wikimedia.org/r/203215

Change 203215 merged by jenkins-bot:
When a user clicks on hamburger after adding to a collection show new icon

https://gerrit.wikimedia.org/r/203215

JKatzWMF closed this task as Resolved.Apr 13 2015, 5:27 PM